/* color set */
/* ------------------------------ */

/* 
  color set data
  
  primary   : #285a78   #1e3c55
  secondary : #2bb09f   #3c9682
  point     : #edb850   #dc9623
  point-sub : #d5d2cd   #bfbdb8

  valid     : #28a745
  invalid   : #dc3545
*/

/* title color */

.page-title {
    color: #285a78 !important;
}

.section-title {
    color: #285a78 !important;
}

.widget-title {
    color: #2bb09f !important;
}

/* text color */

.text-primary {
    color: #285a78 !important;
}

.text-secondary {
    color: #2bb09f !important;
}

.text-point {
    color: #edb850 !important;
}

.text-point-sub {
    color: #d5d2cd !important;
}

/* background color */

.bg-primary {
    background-color: #285a78 !important;
}

.bg-primary-over {
    background-color: #1e3c55 !important;
}

.bg-secondary {
    background-color: #2bb09f !important;
}

.bg-secondary-over {
    background-color: #3c9682 !important;
}

.bg-point {
    background-color: #edb850 !important;
}

.bg-point-over {
    background-color: #dc9623 !important;
}

.bg-point-sub {
    background-color: #d5d2cd !important;
}

.bg-point-sub-over {
    background-color: #bfbdb8 !important;
}

/* border color */

.border-primary {
    border-color: #285a78 !important;
}

.border-secondary {
    border-color: #2bb09f !important;
}

.border-point {
    border-color: #edb850 !important;
}

.border-point-sub {
    border-color: #d5d2cd !important;
}

/* alert */

.alert-primary {
    color: #285a78 !important;
    background-color: rgba(40, 90, 120, 0.2) !important;
    border-color: rgba(40, 90, 120, 0.4) !important;
}

.alert-secondary {
    color: #2bb09f !important;
    background-color: rgba(43, 176, 159, 0.2) !important;
    border-color: rgba(43, 176, 159, 0.4) !important;
}

.alert-point {
    color: #edb850 !important;
    background-color: rgba(237, 184, 80, 0.2) !important;
    border-color: rgba(237, 184, 80, 0.4) !important;
}

.alert-point-sub {
    color: #d5d2cd !important;
    background-color: rgba(213, 210, 205, 0.2) !important;
    border-color: rgba(213, 210, 205, 0.4) !important;
}

/* table */

.table-bg-primary thead th {
    color: #fff !important;
    background-color: #285a78 !important;
}

.table-bg-secondary thead th {
    color: #fff !important;
    background-color: #2bb09f !important;
}

.table-bg-point thead th {
    color: #fff !important;
    background-color: #edb850 !important;
}

.table-bg-point-sub thead th {
    color: #fff !important;
    background-color: #d5d2cd !important;
}

/* ul-table */

.ul-table-bg-primary .ul-thead li {
    color: #fff !important;
    background-color: #285a78 !important;
}

.ul-table-bg-primary .ul-body li label {
    color: #285a78;
}

.ul-table-bg-secondary .ul-thead li {
    color: #fff !important;
    background-color: #2bb09f !important;
}

.ul-table-bg-secondary .ul-body li label {
    color: #2bb09f;
}

.ul-table-bg-point .ul-thead li {
    color: #fff !important;
    background-color: #edb850 !important;
}

.ul-table-bg-point .ul-body li label {
    color: #edb850;
}

.ul-table-bg-point-sub .ul-thead li {
    color: #fff !important;
    background-color: #d5d2cd !important;
}

.ul-table-bg-point-sub .ul-body li label {
    color: #d5d2cd;
}

/* paging */

.paging a:hover,
.paging .next:hover,
.paging .prev:hover {
    color: #fff;
    background: #2bb09f
}

.paging .active a,
.paging a.active {
    color: #fff;
    background: #285a78;
}

.paging-primary a:hover,
.paging-primary .next:hover,
.paging-primary .prev:hover {
    color: #fff !important;
    background: #285a78 !important
}

.paging-primary .active a,
.paging-primary a.active {
    color: #fff !important;
    background: #1e3c55 !important
}

.paging-secondary a:hover,
.paging-secondary .next:hover,
.paging-secondary .prev:hover {
    color: #fff !important;
    background: #3c9682 !important
}

.paging-secondary .active a,
.paging-secondary a.active {
    color: #fff !important;
    background: #2bb09f !important;
}

/* layer popup */

.lp-head .lp-title {
    color: #285a78;
}

/* checkbox & radio */

.custom-control-input:checked~.custom-control-label::before {
    color: #fff;
    border-color: #285a78;
    background-color: #285a78;
}

.custom-control-input:focus~.custom-control-label::before {
    box-shadow: 0 0 0 0.2rem rgba(40, 90, 120, 0.2);
}

.custom-control-input:focus:not(:checked)~.custom-control-label::before {
    border-color: #285a78;
}

/* checkbox hover */

.custom-checkbox .custom-control-input:disabled:hover~.custom-control-label::after {
    background-image: none;
}

.custom-checkbox .custom-control-input:hover~.custom-control-label::after {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%23285a78' viewBox='0 0 8 8'%3e%3cpath  d='M6.564.75l-3.59 3.612-1.538-1.55L0 4.26 2.974 7.25 8 2.193z' /%3e%3c/svg%3e");
}

.custom-checkbox .custom-control-input:checked~.custom-control-label::after {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%23fff' viewBox='0 0 8 8'%3e%3cpath d='M6.564.75l-3.59 3.612-1.538-1.55L0 4.26 2.974 7.25 8 2.193z' /%3e%3c/svg%3e");
}

.custom-checkbox .custom-control-input.is-invalid:hover~.custom-control-label::after {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%23dc3545' viewBox='0 0 8 8'%3e%3cpath  d='M6.564.75l-3.59 3.612-1.538-1.55L0 4.26 2.974 7.25 8 2.193z' /%3e%3c/svg%3e");
}

.custom-checkbox .custom-control-input.is-invalid:checked~.custom-control-label::after {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%23fff' viewBox='0 0 8 8'%3e%3cpath  d='M6.564.75l-3.59 3.612-1.538-1.55L0 4.26 2.974 7.25 8 2.193z' /%3e%3c/svg%3e");
}

/* radio hover */

.custom-radio .custom-control-input:disabled:hover~.custom-control-label::after {
    background-image: none;
}

.custom-radio .custom-control-input:hover~.custom-control-label::after {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%23285a78' viewBox='-4 -4 8 8'%3e%3ccircle r='3' /%3e%3c/svg%3e");
}

.custom-radio .custom-control-input:checked~.custom-control-label::after {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%23fff' viewBox='-4 -4 8 8'%3e%3ccircle r='3' /%3e%3c/svg%3e");
}

.custom-radio .custom-control-input.is-invalid:hover~.custom-control-label::after {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%23dc3545' viewBox='-4 -4 8 8'%3e%3ccircle r='3' /%3e%3c/svg%3e");
}

.custom-radio .custom-control-input.is-invalid:checked~.custom-control-label::after {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%23fff' viewBox='-4 -4 8 8'%3e%3ccircle r='3' /%3e%3c/svg%3e");
}

/* button color */

.btn-primary {
    color: #fff;
    background-color: #285a78;
    border-color: #285a78;
}

.btn-primary:hover,
.btn-primary:not(:disabled):not(.disabled).active,
.btn-primary:not(:disabled):not(.disabled):active,
.show>.btn-primary.dropdown-toggle {
    color: #fff !important;
    background-color: #1e3c55 !important;
    border-color: #1e3c55 !important;
}

.btn-primary:focus,
.btn-primary.focus,
.btn-primary:not(:disabled):not(.disabled).active:focus,
.btn-primary:not(:disabled):not(.disabled):active:focus,
.show>.btn-primary.dropdown-toggle:focus {
    box-shadow: none !important;
}

.btn-secondary {
    color: #fff;
    background-color: #2bb09f;
    border-color: #2bb09f;
}

.btn-secondary:hover,
.btn-secondary:not(:disabled):not(.disabled).active,
.btn-secondary:not(:disabled):not(.disabled):active,
.show>.btn-secondary.dropdown-toggle {
    color: #fff !important;
    background-color: #3c9682 !important;
    border-color: #3c9682 !important;
}

.btn-secondary:focus,
.btn-secondary.focus,
.btn-secondary:not(:disabled):not(.disabled).active:focus,
.btn-secondary:not(:disabled):not(.disabled):active:focus,
.show>.btn-secondary.dropdown-toggle:focus {
    box-shadow: none !important;
}

.btn-point {
    color: #fff;
    background-color: #edb850;
    border-color: #edb850;
}

.btn-point:hover,
.btn-point:not(:disabled):not(.disabled).active,
.btn-point:not(:disabled):not(.disabled):active,
.show>.btn-point.dropdown-toggle {
    color: #fff !important;
    background-color: #dc9623 !important;
    border-color: #dc9623 !important;
}

.btn-point:focus,
.btn-point.focus,
.btn-point:not(:disabled):not(.disabled).active:focus,
.btn-point:not(:disabled):not(.disabled):active:focus,
.show>.btn-point.dropdown-toggle:focus {
    box-shadow: none !important;
}

.btn-point-sub {
    color: #fff;
    background-color: #d5d2cd;
    border-color: #d5d2cd;
}

.btn-point-sub:hover,
.btn-point-sub:not(:disabled):not(.disabled).active,
.btn-point-sub:not(:disabled):not(.disabled):active,
.show>.btn-point-sub.dropdown-toggle {
    color: #fff !important;
    background-color: #bfbdb8 !important;
    border-color: #bfbdb8 !important;
}

.btn-point-sub:focus,
.btn-point-sub.focus,
.btn-point-sub:not(:disabled):not(.disabled).active:focus,
.btn-point-sub:not(:disabled):not(.disabled):active:focus,
.show>.btn-point-sub.dropdown-toggle:focus {
    box-shadow: none !important;
}

.btn-outline-primary {
    color: #285a78;
    border-color: #285a78;
}

.btn-outline-primary:hover,
.btn-outline-primary:not(:disabled):not(.disabled):active,
.btn-outline-primary:not(:disabled):not(.disabled).active,
.show>.btn-outline-primary.dropdown-toggle {
    color: #fff;
    background-color: #285a78;
    border-color: #285a78;
}

.btn-outline-primary:focus,
.btn-outline-primary.focus,
.btn-outline-primary:not(:disabled):not(.disabled):active:focus,
.btn-outline-primary:not(:disabled):not(.disabled).active:focus,
.show>.btn-outline-primary.dropdown-toggle:focus {
    box-shadow: none !important;
}

.btn-outline-secondary {
    color: #2bb09f;
    border-color: #2bb09f;
}

.btn-outline-secondary:hover,
.btn-outline-secondary:not(:disabled):not(.disabled):active,
.btn-outline-secondary:not(:disabled):not(.disabled).active,
.show>.btn-outline-secondary.dropdown-toggle {
    color: #fff;
    background-color: #2bb09f;
    border-color: #2bb09f;
}

.btn-outline-secondary:focus,
.btn-outline-secondary.focus,
.btn-outline-secondary:not(:disabled):not(.disabled):active:focus,
.btn-outline-secondary:not(:disabled):not(.disabled).active:focus,
.show>.btn-outline-secondary.dropdown-toggle:focus {
    box-shadow: none !important;
}

.btn-outline-point {
    color: #edb850;
    border-color: #edb850;
}

.btn-outline-point:hover,
.btn-outline-point:not(:disabled):not(.disabled):active,
.btn-outline-point:not(:disabled):not(.disabled).active,
.show>.btn-outline-point.dropdown-toggle {
    color: #fff;
    background-color: #edb850;
    border-color: #edb850;
}

.btn-outline-point:focus,
.btn-outline-point.focus,
.btn-outline-point:not(:disabled):not(.disabled):active:focus,
.btn-outline-point:not(:disabled):not(.disabled).active:focus,
.show>.btn-outline-point.dropdown-toggle:focus {
    box-shadow: none !important;
}

.btn-outline-point-sub {
    color: #d5d2cd;
    border-color: #d5d2cd;
}

.btn-outline-point-sub:hover,
.btn-outline-point-sub:not(:disabled):not(.disabled):active,
.btn-outline-point-sub:not(:disabled):not(.disabled).active,
.show>.btn-outline-point-sub.dropdown-toggle {
    color: #fff;
    background-color: #d5d2cd;
    border-color: #d5d2cd;
}

.btn-outline-point-sub:focus,
.btn-outline-point-sub.focus,
.btn-outline-point-sub:not(:disabled):not(.disabled):active:focus,
.btn-outline-point-sub:not(:disabled):not(.disabled).active:focus,
.show>.btn-outline-point-sub.dropdown-toggle:focus {
    box-shadow: none !important;
}

/* form feedback */
/* ------------------------------ */

.valid-feedback {
    color: #28a745;
}

.valid-tooltip {
    color: #fff;
    background-color: rgba(40, 167, 69, 0.9);
}

.was-validated .form-control:valid,
.form-control.is-valid {
    border-color: #28a745;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3e%3cpath fill='%2328a745' d='M2.3 6.73L.6 4.53c-.4-1.04.46-1.4 1.1-.8l1.1 1.4 3.4-3.8c.6-.63 1.6-.27 1.2.7l-4 4.6c-.43.5-.8.4-1.1.1z'/%3e%3c/svg%3e");
}

.was-validated .form-control:valid:focus,
.form-control.is-valid:focus {
    border-color: #28a745;
    box-shadow: 0 0 0 0.2rem rgba(40, 167, 69, 0.2);
}

.was-validated .custom-select:valid,
.custom-select.is-valid {
    border-color: #28a745;
    background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 4 5'%3e%3cpath fill='%23343a40' d='M2 0L0 2h4zm0 5L0 3h4z'/%3e%3c/svg%3e") no-repeat right 0.75rem center/8px 10px, url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3e%3cpath fill='%2328a745' d='M2.3 6.73L.6 4.53c-.4-1.04.46-1.4 1.1-.8l1.1 1.4 3.4-3.8c.6-.63 1.6-.27 1.2.7l-4 4.6c-.43.5-.8.4-1.1.1z'/%3e%3c/svg%3e") #fff no-repeat center right 1.75rem/calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}

.was-validated .custom-select:valid:focus,
.custom-select.is-valid:focus {
    border-color: #28a745;
    box-shadow: 0 0 0 0.2rem rgba(40, 167, 69, 0.2);
}

.was-validated .form-check-input:valid~.form-check-label,
.form-check-input.is-valid~.form-check-label {
    color: #28a745;
}

.was-validated .custom-control-input:valid~.custom-control-label,
.custom-control-input.is-valid~.custom-control-label {
    color: #28a745;
}

.was-validated .custom-control-input:valid~.custom-control-label::before,
.custom-control-input.is-valid~.custom-control-label::before {
    border-color: #28a745;
}

.was-validated .custom-control-input:valid:checked~.custom-control-label::before,
.custom-control-input.is-valid:checked~.custom-control-label::before {
    border-color: #28a745;
    background-color: #28a745;
}

.was-validated .custom-control-input:valid:focus~.custom-control-label::before,
.custom-control-input.is-valid:focus~.custom-control-label::before {
    box-shadow: 0 0 0 0.2rem rgba(40, 167, 69, 0.2);
}

.was-validated .custom-control-input:valid:focus:not(:checked)~.custom-control-label::before,
.custom-control-input.is-valid:focus:not(:checked)~.custom-control-label::before {
    border-color: #28a745;
}

.was-validated .custom-file-input:valid~.custom-file-label,
.custom-file-input.is-valid~.custom-file-label {
    border-color: #28a745;
}

.was-validated .custom-file-input:valid:focus~.custom-file-label,
.custom-file-input.is-valid:focus~.custom-file-label {
    border-color: #28a745;
    box-shadow: 0 0 0 0.2rem rgba(40, 167, 69, 0.2);
}

.invalid-feedback {
    color: #dc3545;
}

.invalid-tooltip {
    color: #fff;
    background-color: rgba(220, 53, 69, 0.9);
}

.was-validated .form-control:invalid,
.form-control.is-invalid {
    border-color: #dc3545;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%23dc3545' viewBox='-2 -2 7 7'%3e%3cpath stroke='%23dc3545' d='M0 0l3 3m0-3L0 3'/%3e%3ccircle r='.5'/%3e%3ccircle cx='3' r='.5'/%3e%3ccircle cy='3' r='.5'/%3e%3ccircle cx='3' cy='3' r='.5'/%3e%3c/svg%3E");
}

.was-validated .form-control:invalid:focus,
.form-control.is-invalid:focus {
    border-color: #dc3545;
    box-shadow: 0 0 0 0.2rem rgba(220, 53, 69, 0.2);
}

.was-validated .custom-select:invalid,
.custom-select.is-invalid {
    border-color: #dc3545;
    background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 4 5'%3e%3cpath fill='%23343a40' d='M2 0L0 2h4zm0 5L0 3h4z'/%3e%3c/svg%3e") no-repeat right 0.75rem center/8px 10px, url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%23dc3545' viewBox='-2 -2 7 7'%3e%3cpath stroke='%23dc3545' d='M0 0l3 3m0-3L0 3'/%3e%3ccircle r='.5'/%3e%3ccircle cx='3' r='.5'/%3e%3ccircle cy='3' r='.5'/%3e%3ccircle cx='3' cy='3' r='.5'/%3e%3c/svg%3E") #fff no-repeat center right 1.75rem/calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}

.was-validated .custom-select:invalid:focus,
.custom-select.is-invalid:focus {
    border-color: #dc3545;
    box-shadow: 0 0 0 0.2rem rgba(220, 53, 69, 0.2);
}

.was-validated .form-check-input:invalid~.form-check-label,
.form-check-input.is-invalid~.form-check-label {
    color: #dc3545;
}

.was-validated .custom-control-input:invalid~.custom-control-label,
.custom-control-input.is-invalid~.custom-control-label {
    color: #dc3545;
}

.was-validated .custom-control-input:invalid~.custom-control-label::before,
.custom-control-input.is-invalid~.custom-control-label::before {
    border-color: #dc3545;
}

.was-validated .custom-control-input:invalid:checked~.custom-control-label::before,
.custom-control-input.is-invalid:checked~.custom-control-label::before {
    border-color: #dc3545;
    background-color: #dc3545;
}

.was-validated .custom-control-input:invalid:focus~.custom-control-label::before,
.custom-control-input.is-invalid:focus~.custom-control-label::before {
    box-shadow: 0 0 0 0.2rem rgba(220, 53, 69, 0.2);
}

.was-validated .custom-control-input:invalid:focus:not(:checked)~.custom-control-label::before,
.custom-control-input.is-invalid:focus:not(:checked)~.custom-control-label::before {
    border-color: #dc3545;
}

.was-validated .custom-file-input:invalid~.custom-file-label,
.custom-file-input.is-invalid~.custom-file-label {
    border-color: #dc3545;
}

.was-validated .custom-file-input:invalid:focus~.custom-file-label,
.custom-file-input.is-invalid:focus~.custom-file-label {
    border-color: #dc3545;
    box-shadow: 0 0 0 0.2rem rgba(220, 53, 69, 0.2);
}

/* datepicker */

.datepicker table tr td.focused,
.datepicker table tr td.day:hover {
    color: #333 !important;
    background: #eee !important;
}
.datepicker table tr td.active.active,
.datepicker table tr td.active:active,
.datepicker table tr td.active.highlighted.active,
.datepicker table tr td.active.highlighted:active {
    color: #fff !important;
    border-color: #285a78 !important;
    background-color: #285a78 !important;
}

.datepicker table tr td.new,
.datepicker table tr td.old {
    color: #ccc !important;
}

/* option */

.required {
    color: #dc3545 !important;
}

/* ad-mrkang@naver.com */